package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.mhfire.model.XfzWxz;
import com.bizmatics.mhfire.service.XfzWxzService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * 消防站点
 * @author ya
 * @since 2021-11-23
 */
@RestController
@RequestMapping("/xfzWxz")
public class XfzWxzController {



    @Autowired
    private XfzWxzService xfzWxzService;


    /**
     * 地图撒点
     * @return
     */
    @GetMapping("/list")
    public ApiResult<List<XfzWxz>> page(@RequestParam(required = false) Date startTime,
                                        @RequestParam(required = false) Date endTime){
        return ApiResult.success(xfzWxzService.getMapList(startTime,endTime));
    }

    /**
     * 消防站点详情
     * @param id
     * @return
     */
    @GetMapping("/one")
    public ApiResult<XfzWxz> one(@RequestParam Integer id){
        return ApiResult.success(xfzWxzService.getById(id));
    }


}

